Index: c/src/tests/psxtests/psxhdrs/mutex14.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/mutex14.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/mutex14.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutexattr_getprotocol"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutexattr_getprotocol"
+#endif
+
+void test( void )
+{
+  pthread_mutexattr_t attribute;
+  int                 protocol;
+  int                 result;
+
+  result = pthread_mutexattr_getprotocol( &attribute, &protocol );
+}
Index: c/src/tests/psxtests/psxhdrs/mutex15.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/mutex15.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/mutex15.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutex_getprioceiling"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutex_getprioceiling"
+#endif
+
+void test( void )
+{
+  pthread_mutex_t mutex;
+  int             prioceiling;
+  int             result;
+
+  result = pthread_mutex_getprioceiling( &mutex, &prioceiling );
+}
Index: c/src/tests/psxtests/psxhdrs/mutex16.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/mutex16.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/mutex16.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,35 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutex_setprioceiling"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutex_setprioceiling"
+#endif
+
+void test( void )
+{
+  pthread_mutex_t mutex;
+  int             prioceiling;
+  int             oldceiling;
+  int             result;
+
+  prioceiling = 0;
+
+  result = pthread_mutex_setprioceiling( &mutex, prioceiling, &oldceiling );
+}
Index: c/src/tests/psxtests/psxhdrs/pthread24.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/pthread24.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/pthread24.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,36 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+#include <limits.h>  /* only for PTHREAD_STACK_MIN */
+
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_setstackaddr"
+#endif
+
+#ifndef _POSIX_THREAD_ATTR_STACKADDR
+#error "rtems is supposed to have pthread_setstackaddr"
+#endif
+
+void test( void )
+{
+  pthread_attr_t  attribute;
+  void           *stackaddr;
+  int             result;
+
+  stackaddr = NULL;
+
+  result = pthread_attr_setstackaddr( &attribute, stackaddr );
+}
Index: c/src/tests/psxtests/psxhdrs/pthread25.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/pthread25.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/pthread25.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,34 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+#include <limits.h>  /* only for PTHREAD_STACK_MIN */
+
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_getstackaddr"
+#endif
+
+#ifndef _POSIX_THREAD_ATTR_STACKADDR
+#error "rtems is supposed to have pthread_getstackaddr"
+#endif
+
+void test( void )
+{
+  pthread_attr_t  attribute;
+  void           *stackaddr;
+  int             result;
+
+  result = pthread_attr_getstackaddr( &attribute, &stackaddr );
+}
Index: c/src/tests/psxtests/psxhdrs/pthread26.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/pthread26.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ c/src/tests/psxtests/psxhdrs/pthread26.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,31 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_join"
+#endif
+
+void test( void )
+{
+  pthread_t   thread;
+  void       *value_ptr;
+  int         status;
+
+  thread = 0;
+
+  status = pthread_join( thread, &value_ptr );
+}
Index: testsuites/psxtests/psxhdrs/mutex14.c
===================================================================
--- testsuites/psxtests/psxhdrs/mutex14.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/mutex14.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutexattr_getprotocol"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutexattr_getprotocol"
+#endif
+
+void test( void )
+{
+  pthread_mutexattr_t attribute;
+  int                 protocol;
+  int                 result;
+
+  result = pthread_mutexattr_getprotocol( &attribute, &protocol );
+}
Index: testsuites/psxtests/psxhdrs/mutex15.c
===================================================================
--- testsuites/psxtests/psxhdrs/mutex15.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/mutex15.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutex_getprioceiling"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutex_getprioceiling"
+#endif
+
+void test( void )
+{
+  pthread_mutex_t mutex;
+  int             prioceiling;
+  int             result;
+
+  result = pthread_mutex_getprioceiling( &mutex, &prioceiling );
+}
Index: testsuites/psxtests/psxhdrs/mutex16.c
===================================================================
--- testsuites/psxtests/psxhdrs/mutex16.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/mutex16.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,35 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREAD_PRIO_INHERIT
+#error "rtems is supposed to have pthread_mutex_setprioceiling"
+#endif
+#ifndef _POSIX_THREAD_PRIO_PROTECT
+#error "rtems is supposed to have pthread_mutex_setprioceiling"
+#endif
+
+void test( void )
+{
+  pthread_mutex_t mutex;
+  int             prioceiling;
+  int             oldceiling;
+  int             result;
+
+  prioceiling = 0;
+
+  result = pthread_mutex_setprioceiling( &mutex, prioceiling, &oldceiling );
+}
Index: testsuites/psxtests/psxhdrs/pthread24.c
===================================================================
--- testsuites/psxtests/psxhdrs/pthread24.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/pthread24.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,36 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+#include <limits.h>  /* only for PTHREAD_STACK_MIN */
+
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_setstackaddr"
+#endif
+
+#ifndef _POSIX_THREAD_ATTR_STACKADDR
+#error "rtems is supposed to have pthread_setstackaddr"
+#endif
+
+void test( void )
+{
+  pthread_attr_t  attribute;
+  void           *stackaddr;
+  int             result;
+
+  stackaddr = NULL;
+
+  result = pthread_attr_setstackaddr( &attribute, stackaddr );
+}
Index: testsuites/psxtests/psxhdrs/pthread25.c
===================================================================
--- testsuites/psxtests/psxhdrs/pthread25.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/pthread25.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,34 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+#include <limits.h>  /* only for PTHREAD_STACK_MIN */
+
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_getstackaddr"
+#endif
+
+#ifndef _POSIX_THREAD_ATTR_STACKADDR
+#error "rtems is supposed to have pthread_getstackaddr"
+#endif
+
+void test( void )
+{
+  pthread_attr_t  attribute;
+  void           *stackaddr;
+  int             result;
+
+  result = pthread_attr_getstackaddr( &attribute, &stackaddr );
+}
Index: testsuites/psxtests/psxhdrs/pthread26.c
===================================================================
--- testsuites/psxtests/psxhdrs/pthread26.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
+++ testsuites/psxtests/psxhdrs/pthread26.c	(revision 57fc51c2fe8583b25409d551c7464ac2e165ea3f)
@@ -0,0 +1,31 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <pthread.h>
+ 
+#ifndef _POSIX_THREADS
+#error "rtems is supposed to have pthread_join"
+#endif
+
+void test( void )
+{
+  pthread_t   thread;
+  void       *value_ptr;
+  int         status;
+
+  thread = 0;
+
+  status = pthread_join( thread, &value_ptr );
+}
